﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IndexViewModel>" %>

<%@ Import Namespace="DemoMvc.Controllers" %>
<%@ Import Namespace="DemoMvc.ViewModels.Contact" %>
<asp:Content ContentPlaceHolderID="TitleContent" runat="server">
	Contact Us
</asp:Content>
<asp:Content ContentPlaceHolderID="BodyContent" runat="server">
<script>
	$("#fieldHelp").load('<%=Url.Action<>> %>'
</script>
	<div id="contact">
		<%
			using (Ajax.BeginForm("Submit", "Contact", null,
												 new AjaxOptions
													{
														UpdateTargetId = "contact",
													},
												 new
													{
														DefaultButton = "submit",
														id = "contactForm",
													}))
			{
		%>
		<fieldset>
			<legend>Contact Form</legend>
			<div id="flash">
				<p>
					Enter your name and email address below, along with your suggestion, and submit
					it to our customer service department.</p>
			</div>
			<p>
				<%= Html.LabelFor(x => x.Name) %><br />
				<%= Html.TextBoxFor(x => x.Name) %></p>
			<p>
				<%= Html.LabelFor(x => x.Email) %><br />
				<%= Html.TextBoxFor(x => x.Email) %></p>
			<p>
				<%= Html.LabelFor(x => x.Subject) %><br />
				<%= Html.TextBoxFor(x => x.Subject) %></p>
			<p>
				<%= Html.LabelFor(x => x.Body) %><br />
				<%= Html.TextAreaFor(x => x.Body)%></p>
			<p>
				<input type="submit" value="Submit" /></p>
		</fieldset>
		<div id="fieldHelp"></div>
		<%
			}
		%>
	</div>
</asp:Content>
