﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<DemoMvc.ViewModels.Widget.WidgetListViewModel>" %>

<%@ Import Namespace="DemoMvc.Controllers" %>
<%@ Import Namespace="Microsoft.Web.Mvc" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="BodyContent" runat="server">
	<h2>
		Widgets</h2>
	<table>
		<thead>
			<tr>
				<td>
					Id
				</td>
				<td>
					Title
				</td>
				<td>
					Action
				</td>
			</tr>
		</thead>
		<tbody>
			<%
				foreach (var item in Model.Items)
				{
			%>
			<tr>
				<td>
					<%=item.Id%>
				</td>
				<td>
					<%=item.Title%>
				</td>
				<td>
					<%= Html.ActionLink<WidgetController>(x => x.Details(item.Id), "View")%>
				</td>
			</tr>
			<%
				}
			%>
		</tbody>
	</table>
</asp:Content>
